/*
	GTRH1.H
*/

#ifndef gdi32_trh1_h__
#define gdi32_trh1_h__

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

#if defined(__WATCOMC__)
#define MYEXPORT	
#define MY_EXPORT
#pragma aux _myexp_watcom "*" parm routine [] value struct struct caller [] modify [eax ecx edx];
#define MYIMPORT
#pragma aux _myimp_watcom "*" parm routine [] value struct struct caller [] modify [eax ecx edx];
#else
#define MYEXPORT APIENTRY
#define MY_EXPORT	__declspec(dllexport)
#define MYIMPORT __stdcall
#endif

/*
    StretchDIBits
    GetStockObject
*/


#ifdef __cplusplus
extern "C" {
#endif

MY_EXPORT
int MYEXPORT	expStretchDIBits(HDC, int, int, int, int, int, int, int, int,
	CONST VOID *, CONST BITMAPINFO *, UINT, DWORD);

MY_EXPORT 
HGDIOBJ MYEXPORT	expGetStockObject(int);

#ifdef __cplusplus
}
#endif

#if defined(__WATCOMC__)
#pragma aux (_myexp_watcom) expStretchDIBits;
#pragma aux (_myexp_watcom) expGetStockObject;
#endif

#endif
